/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef __TIZEN_CORE_YACA_INTEGRITY_DOC_H__
#define __TIZEN_CORE_YACA_INTEGRITY_DOC_H__
/**
  * @ingroup CAPI_YACA_MODULE
  * @defgroup CAPI_YACA_INTEGRITY_MODULE YACA Integrity
  * @brief    Provides APIs for creating/verifying a signature and digesting a message.
  *
  * @section CAPI_YACA_INTEGRITY_MODULE_HEADER Required Header
  * \#include <yaca/yaca_sign.h>\n
  * \#include <yaca/yaca_digest.h>\n
  *
  * @section CAPI_YACA_INTEGRITY_MODULE_OVERVIEW Overview
  * It provides advanced APIs for creating a signature using asymmetric private key, verifying a signature using asymmetric public key, calculating a HMAC/CMAC of given message using symmetric key and calculating message digests of given message without key.
  *
  */

#endif /* __TIZEN_CORE_YACA_INTEGRITY_DOC_H__ */
